#!/bin/sh
echo 'name: type-level
version: 0.2.4
id: type-level-0.2.4-33fb4e9e8cb0fb20fa6852c58e327514

license: BSD3
copyright: Copyright (c) 2008 Alfonso Acosta, Oleg Kiselyov, Wolfgang Jeltsch
           and KTH'\''s SAM group
maintainer: alfonso.acosta@gmail.com
stability: alpha
homepage: http://code.haskell.org/type-level
package-url: http://code.haskell.org/type-level
synopsis: Type-level programming library
description: This library permits performing computations on the type-level. Type-level
             functions are implemented using functional dependencies of multi
             parameter type classes.
             To date, Booleans and Numerals (Naturals and Positives) are
             supported. With regard to Numerals, there is support for common
             arithmetic operations (addition, substraction, multiplication,
             division, exponientation, logarithm, maximum, comparison, GCD)
             over natural numbers (using a decimal representation to make
             compile-time errors friendlier).
             Although making use of type-level computations might seem devious and
             obfuscated at first sight, it is indeed useful in practice to implement
             lightweight dependent types such us number-parameterized types (e.g. an array
             type parameterized by the array'\''s size or a modular group type Zn
             parameterized by the modulus).
             Here is a tutorial on type-level numerals and how to use them to
             implement numerically-parameterized vectors: <http://www.ict.kth.se/forsyde/files/tutorial/tutorial.html#FSVec>
category: Data
author: Alfonso Acosta
pkgpath: devel/hs-type-level
exposed: True
exposed-modules: Data.TypeLevel Data.TypeLevel.Bool
                 Data.TypeLevel.Num Data.TypeLevel.Num.Reps
                 Data.TypeLevel.Num.Aliases Data.TypeLevel.Num.Sets
                 Data.TypeLevel.Num.Ops Data.TypeLevel.Num.Aliases.TH
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/type-level-0.2.4
library-dirs: /usr/local/lib/ghc/type-level-0.2.4
hs-libraries: HStype-level-0.2.4
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.5.1.0-f38bf31a759416ec7b167d6dc132959a
         syb-0.3.7-60af41a2377e93620710d393692aff24
         template-haskell-2.7.0.0-826c08e99d445bf7fa4a34d70f491207
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-type-level-0.2.4/html/type-level.haddock
haddock-html: /usr/local/share/doc/hs-type-level-0.2.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
